-fix check for DANE and ftbfs
[oweals/gnunet.git] / src / gns / test_gns_rel_expiration.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf /tmp/test-gnunet-gns-peer-1/
17 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
18 TEST_IP="127.0.0.1"
19 gnunet-arm -s -c test_gns_lookup.conf
20 gnunet-identity -C testego -c test_gns_lookup.conf
21 gnunet-identity -C delegatedego -c test_gns_lookup.conf
22 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
23 gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
24 gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
25 gnunet-arm -i gns -c test_gns_lookup.conf
26 sleep 7
27 gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e '5 s' -c test_gns_lookup.conf
28 sleep 1
29 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gns_lookup.conf`
30 sleep 6
31 RES_IP_EXP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gns_lookup.conf`
32 gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
33 gnunet-identity -D testego -c test_gns_lookup.conf
34 gnunet-identity -D delegatedego -c test_gns_lookup.conf
35 gnunet-arm -e -c test_gns_lookup.conf
36 rm -rf /tmp/test-gnunet-gns-peer-1/
37
38 if [ "$RES_IP_EXP" == "$TEST_IP" ]
39 then
40   echo "Failed to properly expire IP, got $RES_IP_EXP."
41   exit 1
42 fi
43
44 if [ "$RES_IP" == "$TEST_IP" ]
45 then
46   exit 0
47 else
48   echo "Failed to properly resolve IP, got $RES_IP."
49   exit 1
50 fi